Automation Blocker
Automation blocker stores reason why annotation was not automated
Automation blocker types
automation_disabled- automation is disabled due to queue settings
level: annotationonly- occurs when automation level on queue is set to
neverorautomation_enabledqueue settings isfalse
is_duplicate- annotation is a duplicate of another one (there exists a relation of
duplicatetype) andautomate_duplicatequeue settings is set tofalse level: annotationonly
- annotation is a duplicate of another one (there exists a relation of
suggested_edit_present- there is a suggested edit by the AI engine and
automate_suggested_editqueue settings is set tofalse level: annotationonly
- there is a suggested edit by the AI engine and
low_score- AI confidence score is lower than
score_thresholdset for given datapoint level: datapointonly
- AI confidence score is lower than
failed_checks- schema field constraint or connector validation failed
- only for
level: datapoint
no_validation_sources- validation source list was reset e.g. by hook, so automation was blocked
- only for
level: datapoint
error_message- for both
levels,annotationanddatapoint errortype messages received from connector
- for both
- Delete recommendation based on validation trigger match for the document
delete_recommendation_filename,delete_recommendation_page_countlevel: annotationonly- deletion was recommended based on filename/page count condition of the trigger
delete_recommendation_field- only for
level: datapoint - deletion recommended based on a value of given field (defined in the condition of trigger)
- only for
extension- automation blocker created by an extension
- for both levels -
annotationanddatapoint
human_confirmation_required- Annotation was randomly marked for human confirmation
level: annotation
Automation blocker
AutomationBlocker object ID
AutomationBlocker object URL
URL of related Annotation object
List automation blockers
GET api / v1 / automation_blockers
List all automation blocker objects.
curl -X GET "https://example.rossum.app/api/v1/automation_blockers"{
"pagination": {
"next": null,
"previous": null
},
"results": [
{
"id": 1,
"url": "https://example.rossum.app/api/v1/automation_blockers/1",
"annotation": "https://example.rossum.app/api/v1/annotations/4",
"content": [
{
"level": "datapoint",
"type": "low_score",
"schema_id": "invoice_id",
"samples_truncated": false,
"samples": [
{
"datapoint_id": 1234,
"details": {
"score": 0.901,
"threshold": 0.975
}
},
{
"datapoint_id": 1235,
"details": {
"score": 0.968,
"threshold": 0.975
}
}
]
},
{
"level": "datapoint",
"type": "failed_checks",
"schema_id": "schema_id",
"samples_truncated": false,
"samples": [
{
"datapoint_id": 43,
"details": {
"validation": "bad"
}
}
]
},
{
"level": "datapoint",
"type": "no_validation_sources",
"schema_id": "schema_id",
"samples_truncated": false,
"samples": [
{
"datapoint_id": 412
}
]
},
{
"level": "annotation",
"type": "error_message",
"details": {
"message_content": [
"annotation error"
]
}
},
{
"level": "datapoint",
"type": "error_message",
"schema_id": "schema_id",
"samples_truncated": false,
"samples": [
{
"datapoint_id": 45,
"details": {
"message_content": [
"longer than 3 characters"
]
}
}
]
},
{
"level": "annotation",
"type": "delete_recommendation_filename",
"details": {
"message_content": [
"annotation error"
]
}
},
{
"level": "datapoint",
"type": "delete_recommendation_field",
"schema_id": "document_type",
"samples_truncated": false,
"samples": [
{
"datapoint_id": 45
}
]
},
{
"level": "annotation",
"type": "extension",
"details": {
"content": [
"PO not found in the master data!"
]
}
},
{
"level": "datapoint",
"type": "extension",
"schema_id": "sender_name",
"samples_truncated": false,
"samples": [
{
"datapoint_id": 1357,
"details": {
"content": [
"Unregistered vendor"
]
}
}
]
}
]
}
]
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
OK
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Retrieve automation blocker
GET api / v1 / automation_blockers / {id}
Retrieve a specific automation blocker object.
curl -X GET "https://example.rossum.app/api/v1/automation_blockers/0"{
"id": 1,
"url": "https://example.rossum.app/api/v1/automation_blockers/1",
"annotation": "https://example.rossum.app/api/v1/annotations/4",
"content": [
{
"level": "datapoint",
"type": "low_score",
"schema_id": "invoice_id",
"samples_truncated": false,
"samples": [
{
"datapoint_id": 1234,
"details": {
"score": 0.901,
"threshold": 0.975
}
},
{
"datapoint_id": 1235,
"details": {
"score": 0.968,
"threshold": 0.975
}
}
]
},
{
"level": "datapoint",
"type": "failed_checks",
"schema_id": "schema_id",
"samples_truncated": false,
"samples": [
{
"datapoint_id": 43,
"details": {
"validation": "bad"
}
}
]
},
{
"level": "datapoint",
"type": "no_validation_sources",
"schema_id": "schema_id",
"samples_truncated": false,
"samples": [
{
"datapoint_id": 412
}
]
},
{
"level": "annotation",
"type": "error_message",
"details": {
"message_content": [
"annotation error"
]
}
},
{
"level": "datapoint",
"type": "error_message",
"schema_id": "schema_id",
"samples_truncated": false,
"samples": [
{
"datapoint_id": 45,
"details": {
"message_content": [
"longer than 3 characters"
]
}
}
]
},
{
"level": "annotation",
"type": "delete_recommendation_filename",
"details": {
"message_content": [
"annotation error"
]
}
},
{
"level": "datapoint",
"type": "delete_recommendation_field",
"schema_id": "document_type",
"samples_truncated": false,
"samples": [
{
"datapoint_id": 45
}
]
},
{
"level": "annotation",
"type": "extension",
"details": {
"content": [
"PO not found in the master data!"
]
}
},
{
"level": "datapoint",
"type": "extension",
"schema_id": "sender_name",
"samples_truncated": false,
"samples": [
{
"datapoint_id": 1357,
"details": {
"content": [
"Unregistered vendor"
]
}
}
]
}
]
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
OK
AutomationBlocker object ID
AutomationBlocker object URL
URL of related Annotation object
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error